﻿Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Web.Services

Partial Class VB
    Inherits System.Web.UI.Page

    <WebMethod()> _
    Public Shared Function GetCustomers() As List(Of Customer)
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As New SqlConnection(constr)
            Using cmd As New SqlCommand("SELECT TOP 10 * FROM Customers")
                cmd.Connection = con
                Dim customers As New List(Of Customer)()
                con.Open()
                Using sdr As SqlDataReader = cmd.ExecuteReader()
                    While sdr.Read()
                        customers.Add(New Customer() With { _
                         .CustomerId = sdr("CustomerId").ToString(), _
                         .ContactName = sdr("ContactName").ToString(), _
                         .City = sdr("City").ToString(), _
                         .Country = sdr("Country").ToString(), _
                         .PostalCode = sdr("PostalCode").ToString(), _
                         .Phone = sdr("Phone").ToString(), _
                         .Fax = sdr("Fax").ToString() _
                        })
                    End While
                End Using
                con.Close()
                Return customers
            End Using
        End Using
    End Function

    Public Class Customer
        Public Property CustomerId() As String
        Public Property ContactName() As String
        Public Property City() As String
        Public Property Country() As String
        Public Property PostalCode() As String
        Public Property Phone() As String
        Public Property Fax() As String
    End Class
End Class

